
QGIS Application - Bug report #4039

wms layerorder dialog missing icons and wrong tooltips

2011-07-01 02:06 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14025

Description

In the wms-layer dialog, in the 'layer-order'-tab, both icons for changing the layer order are missing.

And they show a tooltip 'Save connections to file'

See screenshot

Buttons for bringing layers up and down are working ok, though!

Associated revisions

Revision 1a140343 - 2011-07-07 12:27 PM - Richard Duivenvoorde 

fix #4039

History

#1 - 2011-07-01 08:06 AM - Richard Duivenvoorde

- File wmslayermove.patch added

don't know if we had an icon there. But I opened the ui file in designer, and added 'Up' and 'Down' as caption of the buttons, and changed tooltips.

See attached patch

If there are supposed to be icons on the buttons, feel free to ignore this patch :-)

#2 - 2011-11-12 05:02 AM - Richard Duivenvoorde

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Status changed from Open to Closed

Close it: A patch like this is applied, button icons not preferred, because this needs QgisApp code which is not available in providers.

Files

layerorderbuttons.png 31.6 KB 2011-07-01 Richard Duivenvoorde

wmslayermove.patch 1.14 KB 2011-07-01 Richard Duivenvoorde
